/*------------------------------------------------------------------------------
 * Example main module
 * Copyright (c) 2004 - 2019 Arm Limited (or its affiliates). All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    main.c
 * Purpose: Main module
 *----------------------------------------------------------------------------*/

#include "cmsis_os2.h"                  // ::CMSIS:RTOS2
#include "LPC17xx.h"                    // Device header
#include "Board_GLCD.h"                 // ::Board Support:Graphic LCD


extern       void           app_main (void *arg);
extern const osThreadAttr_t app_main_attr;

/*------------------------------------------------------------------------------
 * main function
 *----------------------------------------------------------------------------*/
int main (void) {

  SystemCoreClockUpdate ();                              // System Initialization

#if (UI_USE_GLCD == 1)
  GLCD_Initialize ();                                    // Initialize Graphical LCD
#endif

  osKernelInitialize ();                                 // Initialize CMSIS-RTOS
  osThreadNew (app_main, NULL, &app_main_attr);          // Create application main thread
  osKernelStart ();                                      // Start thread execution
  
  for (;;) {}
}
